classification
Title: --install-base not honored on win32
Type: behavior Stage: resolved
Components: Distutils, Windows Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: loewis Nosy List: dstufft, eric.araujo, georg.brandl, jpe, loewis, nanjekyejoannah, steve.dower, tarek
Priority: normal Keywords:

Created on 2005-12-16 16:59 by jpe, last changed 2021-02-03 18:10 by steve.dower. This issue is now closed.

Messages (5)
msg27091 - (view) Author: John Ehresman (jpe) * Date: 2005-12-16 16:59
The --install-base options isn't honored on win32
because code in install.finalize_others() in install.py
overwrites the value with either self.home,
self.prefix, or sys.prefix.

I was trying to use --install-base because --prefix
won't accept an absolute path on win32.  Does anyone
know the rationale for rejecting absolute paths on win32?
msg27092 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-12-16 21:47
Logged In: YES 
user_id=1188172

Martin, I think you are the Windows-install-guru...
msg227773 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-28 19:10
I'd try to reproduce this but with so little data to go on I don't understand how.  Can somebody fill the gaps?
msg348998 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2019-08-04 19:27
Similar to issue21710
msg386276 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:10
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:10:31steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386276

resolution: out of date
stage: resolved
2019-08-04 19:27:26nanjekyejoannahsetnosy: + nanjekyejoannah
messages: + msg348998
2019-04-26 20:36:01BreamoreBoysetnosy: - BreamoreBoy
2014-09-28 19:10:42BreamoreBoysetversions: + Python 3.4, Python 3.5, - 3rd party, Python 3.1, Python 3.2
nosy: + dstufft, BreamoreBoy

messages: + msg227773

components: + Windows, - Distutils2
2010-09-30 00:30:06eric.araujosetversions: + 3rd party
2010-08-21 17:36:19eric.araujosetnosy: + eric.araujo

components: + Distutils2
versions: + Python 3.2, - Python 2.6, Python 3.0
2009-02-10 16:50:04akitadasetnosy: + tarek
type: behavior
versions: + Python 2.6, Python 3.0, Python 3.1, Python 2.7, - Python 2.4
2007-09-15 22:31:03loewisunlinkissue1165 dependencies
2007-09-15 15:30:55esrlinkissue1165 dependencies
2005-12-16 16:59:53jpecreate